Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456237 - There was an error while applying your choice. This error should not have happened.
Summary: There was an error while applying your choice. This error should not have hap...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Registration
Version: RHN Stable
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 13:00 UTC by Wes Paxton
Modified: 2013-01-10 09:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 14:21:00 UTC


Attachments (Terms of Use)

Description Wes Paxton 2008-07-22 13:00:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; InfoPath.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
when trying to register a server -- rhn_register --
cwsdbmstdev:root:/var/log#cat up2date
[Tue Jul 22 08:57:50 2008] rhn_register
Traceback (most recent call last):
 File "/usr/share/rhn/up2date_client/rhnregGui.py", line 1764, in callAndFilter
Exceptions
   return function()
 File "/usr/share/rhn/up2date_client/rhnregGui.py", line 320, in _chooseServerP
ageApply
   rhnreg.privacyText()
 File "/usr/share/rhn/up2date_client/rhnreg.py", line 307, in privacyText
   return s.registration.privacy_statement()
 File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
   return rpcServer.doCall(method, *args, **kwargs)
 File "/usr/share/rhn/up2date_client/rpcServer.py", line 194, in doCall
   ret = method(*args, **kwargs)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
   return self.__send(self.__name, args)
 File "/usr/share/rhn/up2date_client/rpcServer.py", line 38, in _request1
   ret = self._request(methodname, params)
 File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 319, in _request
   request, verbose=self._verbose)
 File "/usr/lib/python2.4/site-packages/rhn/transports.py", line 170, in reques
t
   headers, fd = req.send_http(host, handler)
 File "/usr/lib/python2.4/site-packages/rhn/transports.py", line 699, in send_h
ttp
   headers=self.headers)
 File "/usr/lib/python2.4/httplib.py", line 804, in request
   self._send_request(method, url, body, headers)
 File "/usr/lib/python2.4/httplib.py", line 827, in _send_request
   self.endheaders()
 File "/usr/lib/python2.4/httplib.py", line 798, in endheaders
   self._send_output()
 File "/usr/lib/python2.4/httplib.py", line 679, in _send_output
   self.send(msg)
 File "/usr/lib/python2.4/httplib.py", line 658, in send
   self.sock.sendall(str)
 File "/usr/lib/python2.4/site-packages/rhn/SSL.py", line 215, in write
   sent = self._connection.send(data)
OpenSSL.SSL.Error: [('SSL routines', 'SSL23_GET_SERVER_HELLO', 'unknown protocol
')]



Version-Release number of selected component (if applicable):
rhn_register

How reproducible:
Always


Steps to Reproduce:
1.execute rhn_register
2.
3.

Actual Results:
receive the message that there was an error that should not have happened and to open a bugzilla report.

Expected Results:
ability to register a server

Additional info:

Comment 2 James Bowes 2008-07-24 13:50:42 UTC
Hi Wes:

It seems like rhn_register isn't able to make a proper connection to our
servers. Are you behind a firewall?
Also, can you confirm that your serverURL in /etc/sysconfig/rhn/up2date is set to
serverURL=https://xmlrpc.rhn.redhat.com/XMLRPC

Comment 3 Wes Paxton 2008-07-24 14:15:11 UTC
We are not behind a firewall, but we are behind something called websense -- I 
found a workaround which you have to be on the virtual terminal login to 
rhn.redhat.com with my windows credentials and then i am able to register the 
machine. You may close this.


Note You need to log in before you can comment on or make changes to this bug.